document.addEventListener('DOMContentLoaded', () => {
  const tradeForm = document.getElementById('tradeForm');

  tradeForm.addEventListener('submit', (e) => {
    e.preventDefault();
    
    const formData = {
      pair: document.getElementById('pair').value,
      direction: document.getElementById('direction').value,
      entry: document.getElementById('entry').value,
      exit: document.getElementById('exit').value,
      notes: document.getElementById('notes').value
    };

    // Here you would typically send this data to a server
    console.log('Trade logged:', formData);
    
    // Show success message
    const button = tradeForm.querySelector('button');
    const originalText = button.textContent;
    button.textContent = 'Trade Saved!';
    button.style.background = '#4CAF50';
    
    setTimeout(() => {
      button.textContent = originalText;
      button.style.background = '';
      tradeForm.reset();
    }, 2000);
  });

  // Add smooth scrolling for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });
});
